@import "@/assets/variables.scss";

.welcome {
  padding: 125px 0;
  background-color: $lightBlue;
  .content-box {
    display: flex;
    margin-bottom: 120px;
    .left-side {
      width: 100%;
      .left-side__content {
        .title {
          width: 550px;
          span {
            font-size: 42px;
            color: $dark;
          }
        }
      }
    }

    .right-side {
      width: 100%;
      .right-side__content {
        .description {
          span {
            font-size: 16px;
            color: $dark;
            line-height: 27px;
          }
        }

        .button-box {
          margin-top: 40px;
          button {
            font-family: "Comfortaa", sans-serif;
            padding: 12px 57px;
            background-color: $blue;
            border-radius: 44px;
            border: none;
            font-size: 16px;
            line-height: 27px;
            color: $light;
          }
        }
      }
    }
  }

  .photo-box {
    position: relative;
    .photo {
      position: absolute;
      left: -42px;
      .mobile_photo {
        display: none;
      }
    }
  }

  @media screen and (max-width: 575px) {
    .content-box {
      flex-direction: column;
      padding: 0 20px;
      margin-bottom: 103px;
      .left-side {
        .left-side__content {
          .title {
            width: auto;
            span {
              font-size: 28px;
              line-height: 40px;
            }
          }
        }
      }

      .right-side {
        .right-side__content {
          margin-top: 30px;
          .button-box {
            width: 100%;
            button {
              width: 100%;
            }
          }
        }
      }
    }

    .photo-box {
      display: flex;
      justify-content: center;
      .photo {
        .desktop_photo {
          display: none;
        }
        .mobile_photo {
          display: block;
        }
      }
    }
  }
}